SR documents with extended characters (e.g. UTF-8) cannot be read
Description
The reason is that the VR scanner does not (yet) support extended character sets like UTF-8 (see Bug #386).

As a workaround one has to patch the demsr module as in the attached patch. Of course, there should be an easier way of accepting
such SR documents...

David Clunie has provided the sample file "japanesecharacterset.dcm" that demonstrates the current behaviour.

History

#1 - 2013-09-12 20:43 - Jorg Riesmeier

- Assignee set to Jérg Riesmeier

#2 - 2013-10-03 18:09 - Jorg Riesmeier

There should be a new DSRDocument::read() flag that can be used to ignore such errors.

#3 - 2013-10-10 15:00 - J6rg Riesmeier
- % Done changed from 0 to 80
Actually, the originally reported issue is closed by the following commits:

e http://git.dcmtk.org/web?p=dcmitk.qgit;a=commit;h=01e468ae65e42962{5dab3ee1c3efb48b2d73685
e http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=5bdebe66fdb7{566814b74022b1762a489ae55dc

However, there is still no read() flag that would allow to ignore (other) errors reported by the VR checker.

#4 - 2013-10-22 14:42 - J6rg Riesmeier

- Status changed from New to Assigned

#5 - 2013-11-19 20:38 - J6rg Riesmeier
- Status changed from Assigned to Closed

- % Done changed from 80 to 100

Solved by introducing a new global "dcmdata” flag:
http:/git.decmtk.org/web?p=dcmtk.git;a=commit;h=06b6334cf940d9b2218937cae9c0a5b7d9a02ecc

Files

dcmsr_charset.patch 1.18 KB 2013-09-12 Jorg Riesmeier
